"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _pluginVue_exportHelper = require("../../../_virtual/_plugin-vue_export-helper.js");
const selectDropdown_vue_vue_type_script_lang = require("./select-dropdown.vue_vue_type_script_lang.js");
const Vue = require("vue");
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return Vue.openBlock(), Vue.createElementBlock("div", {
    class: Vue.normalizeClass([
      _ctx.ns.b("dropdown"),
      _ctx.ns.is("multiple", _ctx.isMultiple),
      _ctx.popperClass
    ]),
    style: Vue.normalizeStyle({ [_ctx.isFitInputWidth ? "width" : "minWidth"]: _ctx.minWidth })
  }, [
    _ctx.$slots.header ? (Vue.openBlock(), Vue.createElementBlock("div", {
      key: 0,
      class: Vue.normalizeClass(_ctx.ns.be("dropdown", "header"))
    }, [Vue.renderSlot(_ctx.$slots, "header")], 2)) : Vue.createCommentVNode("v-if", true),
    Vue.renderSlot(_ctx.$slots, "default"),
    _ctx.$slots.footer ? (Vue.openBlock(), Vue.createElementBlock("div", {
      key: 1,
      class: Vue.normalizeClass(_ctx.ns.be("dropdown", "footer"))
    }, [Vue.renderSlot(_ctx.$slots, "footer")], 2)) : Vue.createCommentVNode("v-if", true)
  ], 6);
}
var select_dropdown_default = /* @__PURE__ */ _pluginVue_exportHelper.default(selectDropdown_vue_vue_type_script_lang.default, [["render", _sfc_render]]);
exports.default = select_dropdown_default;
